Analytics not working on ghost default installation

Fill out the following bug report template with as much detail as possible!

Are you sure this is a bug? If you just need help, post in the developer help category. If it’s a feature request, head to the ideas category.


Issue Summary

  • On posted posts, clicked on analytics, got “request not understood”.
  • Show analystics of post

Steps to Reproduce

  1. Login as ghost admin
  2. Open published posts
  3. click on analystics image
  4. get bad request error

Setup information

Ghost Version
5.72.0

Node.js Version
v18.18.2

How did you install Ghost?
by ghost install command on arm64

Provide details of your host & operating system
Distributor ID: Ubuntu
Description: Ubuntu 22.04.3 LTS
Release: 22.04
Codename: jammy

Database type
mysql Ver 15.1 Distrib 10.6.12-MariaDB, for debian-linux-gnu (aarch64) using EditLine wrapper

Browser & OS version
*Browser: Google Chrome & Brave


*

This isn’t a supported configuration.

Prerequisites

The officially recommended production installation requires the following stack:

  • Ubuntu 20.04 or Ubuntu 22.04
  • NGINX (minimum of 1.9.5 for SSL)
  • A supported version of Node.js
  • MySQL 8
  • Systemd
  • A server with at least 1GB memory
  • A registered domain name

Ik. But there is nothing differrent from me but not working analystics.

  • Ubuntu 20.04 or Ubuntu 22.04 - Yes
  • NGINX (minimum of 1.9.5 for SSL) - Yes
  • A supported version of Node.js - Yes
  • MySQL 8 - Yes
  • Systemd - Yes
  • A server with at least 1GB memory - Yes
  • A registered domain name - Yes

Nothing found with this bug?

Are you running MySQL8, or MariaDB? If MariaDB, it’s not a bug, it’s an example of why MariaDB is an unsupported database.

Edit: Sorry, I didn’t mean to sound snarky. But it sounded like you were expecting someone to investigate your problem, when you led off by saying you were running a non-supported configuration. :slight_smile:

1 Like